Bug 1278203 - Detaching multipath volume doesn't work properly when using different targets with same portal for each multipath device
Detaching multipath volume doesn't work properly when using different targets...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Eric Harney
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 17:54 EST by openstack-dev
Modified: 2016-04-27 00:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 01:43:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1382440 None None None Never

  None (edit)
Description openstack-dev 2015-11-04 17:54:52 EST
Description of problem:

https://bugs.launchpad.net/nova/+bug/1382440

There are a handful of iSCSI multipathing related bug fixes that landed in stable/kilo upstream which need to be included in OSP 7. The upstream change in stable/kilo Cinder for this particular one can be found here: https://review.openstack.org/#/c/232849/4
Comment 2 Sergey Gotliv 2015-11-12 01:43:36 EST
This bug is already fixed upstream for Liberty.
Comment 3 Sergey Gotliv 2015-11-12 02:17:42 EST
(In reply to openstack-dev from comment #0)
> Description of problem:
> 
> https://bugs.launchpad.net/nova/+bug/1382440
> 
> There are a handful of iSCSI multipathing related bug fixes that landed in
> stable/kilo upstream which need to be included in OSP 7. The upstream change
> in stable/kilo Cinder for this particular one can be found here:
> https://review.openstack.org/#/c/232849/4

As you said, this patch is already merged Cinder's stable/kilo upstream, therefore it will be part of our next sync. Note: you targeted that for the wrong release (8.0).

Note You need to log in before you can comment on or make changes to this bug.